Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip3
/
trades
/
{symbol}
Get HIP-3 trades
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip3/trades/{symbol} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "symbol": "BTC",
      "coin": "BTC",
      "side": "B",
      "price": "42150.50",
      "size": "0.5",
      "timestamp": "2025-01-21T10:30:45.123Z",
      "tx_hash": "<string>",
      "trade_id": 123,
      "order_id": 123,
      "crossed": true,
      "fee": "<string>",
      "fee_token": "<string>",
      "closed_pnl": "<string>",
      "direction": "<string>",
      "start_position": "<string>",
      "user_address": "<string>",
      "maker_address": "<string>",
      "taker_address": "<string>",
      "builder_address": "<string>",
      "builder_fee": "<string>",
      "deployer_fee": "<string>",
      "priority_gas": 123,
      "cloid": "<string>",
      "twap_id": 123
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

Trading pair symbol (e.g., km:US500, xyz:XYZ100). HIP-3 symbols are case-sensitive.

Example:

"xyz:XYZ100"

Query Parameters

start
integer<int64>

Start timestamp in Unix milliseconds. Defaults to 24h ago.

end
integer<int64>

End timestamp in Unix milliseconds. Defaults to now.

cursor
string

Cursor for pagination

limit
integer
default:100

Maximum number of results (default: 100, max: 1000)

Required range: x <= 1000

Response

List of trades with cursor for next page

success
boolean
Example:

true

data
object[]
meta
object

Response metadata

Last modified on May 20, 2026